package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FechamentoParamptovta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public interface FechamentoParamptovtaDAO extends GenericDAO<FechamentoParamptovta, Long> {

	public List<FechamentoParamptovta> buscaParametrosPorEmpresas(List<Integer> empresasId);
	public List<FechamentoParamptovta> buscaParametrosPorEmpresa(Integer empresasId);
	public List<FechamentoParamptovta> buscaParametrosPorPuntoventa(PuntoVenta puntoventa);
	public FechamentoParamptovta buscaParametrosPorPuntoventa(PuntoVenta puntoventa, Empresa empresa);

}
